Bug 57744 - net.agent blindly runs /sbin/ifup interface
Summary: net.agent blindly runs /sbin/ifup interface
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: hotplug   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-20 17:03 UTC by Gerald Britton
Modified: 2014-03-17 02:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-11 14:36:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Britton 2001-12-20 17:03:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.11-pre3 i686)

Description of problem:
The kernel runs /sbin/hotplug on netdevice (de)registration.  The hotplug
package runs
/etc/hotplug/net.agent which blindly runs /sbin/ifup on the interface
causing the network to
go active unexpectly when modules are loaded.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /sbin/ifdown eth0
2. /sbin/modprobe -r eth0
3. /sbin/ifconfig eth0  (or.. /sbin/ifdown eth0)

Actual Results:  Network is brought active by /sbin/ifup eth0

Expected Results:  Network should have remained unchainged.

Additional info:

This bug may be best fixed with a combination of changes to
the hotplug package and to the initscripts package (and perhaps others).
It could perhaps provide a separate hotplug config flag in addition to the
onboot
flag.  There are a lot of cases where the hotplug would be interacting with
the
initscripts though.

Comment 1 Trond Eivind Glomsrxd 2002-01-14 17:32:13 UTC
Need adressing... ONHOTPLUG=yes/no?

Comment 2 Bill Nottingham 2003-02-11 14:36:35 UTC
You can set ONHOTPLUG=no in /etc/sysconfig/network-scripts/ifcfg-XXXX, as of
hotplug-2002_04_01-17.


Note You need to log in before you can comment on or make changes to this bug.